<template>
  <div v-loading.fullscreen="loading" class="app-container b-login-container">
    <div class="container-fluid">
      <div class="row h-min-100vh content-center items-center">
        <div class="col-auto b-login-form-container">
          <img
            src="@/assets/images/logo_login_admin.svg"
            alt="Virgil Admin Portal"
            class="b-login-app-branding"
            style="width: 256px"
          />
          <Nuxt />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import { mapState } from 'vuex'

export default Vue.extend({
  name: 'LoginLayout',
  computed: {
    ...mapState('common', ['loading']),
  },
})
</script>
